<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for annotate_all.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
annotate_all - add annotations everywhere with unique numbers

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>annotate_all</B> [ <I>options</I> ] <I>infile</I> <I>outfile</I> { <I>infile</I> <I>outfile</I>
}*

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
The <I>annotate</I><B>_</B><I>all</I> program puts an all number annotation
on every SUIF object, except for tree_instr objects, which
aren't allowed to have annotations written to files. The
data for each all number annotation is a single integer,
a unique number for that object. The numbers start with 1
and go through the number of objects in the file set.
<P>
This is useful when a unique number is desired for each
object. It is also convenient for generating test files
to see what happens to annotations when the file goes
through various transformations.

<H2><A NAME="sect3" HREF="#toc3"><B>Options</B></A></H2>

<P>
There are currently no command-line options.

<H2><A NAME="sect4" HREF="#toc4"><B>History</B></A></H2>

<P>
This program was written by Chris Wilson.
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">Options</A></LI>
<LI><A NAME="toc4" HREF="#sect4">History</A></LI>
</UL>
</BODY></HTML>
